/*
SparkFun Inventor's Kit
Revised Example sketch 11

BUZZER


  note 	frequency
  c     262 Hz
  d     294 Hz
  e     330 Hz
  f     349 Hz
  g     392 Hz
  a     440 Hz
  b     494 Hz
  C     523 Hz

*/
  
const int buzzerPin = 9;



void setup() 
{
  pinMode(buzzerPin, OUTPUT);
  randomSeed(analogRead(0)); // assumes pin 0 is not connected
  int tune = random(3);
  Serial.begin(9600);
  Serial.println(tune);
  tune0();
}

void tune0(){
  // the original song
  // these 4 variables represent a song
  const int songLength = 18;
  char* tune[] = {"C1","D1","F1","D1","A1"," ","A1","G1"," ","C1","D1","F1","D1","G1"," ","G1","F1"," "};
  
  //char notes[] = "cdfda ag cdfdg gf "; 
  int beats[] = {1,1,1,1,1,1,4,4,2,1,1,1,1,1,1,4,4,2};
  int tempo = 150;
  int duration;
  
  for (int i = 0; i < songLength; i++) {
    duration = beats[i] * tempo;  // length of note/rest in ms
    if (tune[i] == " ")          // is this a rest? 
    {
      delay(duration);            // then pause for a moment
    }
    else                          // otherwise, play the note
    {
      tone(buzzerPin, frequency(tune[i]), duration);
      delay(duration);            // wait for tone to finish
    }
    delay(tempo/10);              // brief pause between notes
  }
 
}

void loop(){}

int frequency(char* note) 
{
  // This function takes a note character (a-g), and returns the
  // corresponding frequency in Hz for the tone() function.
  //Serial.print(note);
  //Serial.print("| ");
  int i;
  const int numNotes = 15;  // number of notes we're storing
  char* names[] = {"C1","D1","E1","F1","F#1", "G1","A1","B1","C2"};
  int frequencies[] = {262, 294, 330, 349, 370, 392, 440, 494, 523};
  for (i = 0; i < numNotes; i++)  // Step through the notes
  {
    if (names[i] == note)         // Is this the one?
    {
      //Serial.println(frequencies[i]);
      return(frequencies[i]);     // Yes! Return the frequency
    }
  }
  return(0);  // We looked through everything and didn't find it,
              // but we still need to return a value, so return 0.
}




